#include<iostream>
using namespace std;
int broj(int a[],int n)
{
	int brj=0;
	for(int i=0;i<n;i++)brj=brj*10+a[i];
	return brj;
	
}
int main()
{
	int n;
	cin>>n;
	int a[n];
	for(int i=0;i<n;i++)cin>>a[i];
	int vrednost=broj(a,n);
	if(n>2)
	{
		for(int i=0;i<n;i++)
		for(int j=i+1;j<n;j++)
		{
			swap(a[i],a[j]);
			if(broj(a,n)>vrednost)vrednost=broj(a,n);
			swap(a[i],a[j]);
		}
	}
	else
	{
		swap(a[0],a[1]);
		vrednost=broj(a,n);
	} 
	for(int i=n-1;i>=0;i--)
	{
		a[i]=vrednost%10;
		vrednost=vrednost/10;
	}
	for(int i=0;i<n;i++)
	{
		cout<<a[i]<<" ";
	}
	cout<<endl;
}